#include "resource.h"

class CRedApp : public CWinApp
{
   CDocTemplate* m_pFormTemplate;
   CDocTemplate* m_pViewTemplate;
public:
   CBrush m_brRed;
   CRedApp() : m_brRed(RGB(255,0,0)) { }

   HBRUSH GetRedBrush() { return (HBRUSH)m_brRed.GetSafeHandle(); }

   virtual BOOL InitInstance();
   afx_msg void OnNewView();
   afx_msg void OnNewForm();
   DECLARE_MESSAGE_MAP()
};

class CRedDoc : public CDocument
{
   DECLARE_DYNCREATE(CRedDoc)
   CRedDoc() { }
};

class CRedView : public CView
{
   DECLARE_DYNCREATE(CRedView)
   static CString sClassName;
protected:
   CRedView() { }
   virtual void OnDraw(CDC* pDC) { /* do nothing */ }
   virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
};

class CRedFormView : public CFormView
{
   DECLARE_DYNCREATE(CRedFormView)
protected:
   CRedFormView();
// afx_msg BOOL OnEraseBkgnd(CDC* pDC);
   afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
   DECLARE_MESSAGE_MAP()
};

class CMainFrame : public CMDIFrameWnd
{
   DECLARE_DYNAMIC(CMainFrame)
public:
   CMainFrame() { }
};

